Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515033 - ceph-fuse crashed, and filesystem became inaccessible this is upstream 12.2.0.
Summary: ceph-fuse crashed, and filesystem became inaccessible this is upstream 12.2.0.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 2.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 2.*
Assignee: Patrick Donnelly
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 02:29 UTC by liuwei
Modified: 2018-09-26 18:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-26 18:28:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 22378 None None None 2018-02-12 15:44:43 UTC

Description liuwei 2017-11-20 02:29:32 UTC
Description of problem:


ceph-fuse crashed, and filesystem became inaccessible this is upstream 12.2.0.... might be a bug that has been fixed already. Please advise if so.

---
     0> 2017-11-17 11:04:32.028174 7f07f1b21700 -1 /build/ceph-12.2.0/src/client/Client.cc: In function 'virtual void C_Client_Remount::finish(int)' thread 7f07f1b21700 time 2017-11-17 11:04:32.011205
/build/ceph-12.2.0/src/client/Client.cc: 4039: FAILED assert(0 == "failed to remount for kernel dentry trimming")


Version-Release number of selected component (if applicable):

Ceph cluster is RHCS 2.4, 10.2.7.
Installed Packages
Name        : ceph-common
Arch        : x86_64
Epoch       : 1
Version     : 10.2.7
Release     : 27.el7cp
Size        : 62 M
Repo        : installed
From repo   : rhel-7-server-rhceph-2-mon-rpms
Summary     : Ceph Common
URL         : http://ceph.com/
License     : LGPL-2.1 and CC-BY-SA-1.0 and GPL-2.0 and BSL-1.0 and GPL-2.0-with-autoconf-exception and BSD-3-Clause and MIT
Description : Common utilities to mount and interact with a ceph storage cluster.
            : Comprised of files that are common to Ceph clients and servers.

Client is upstream ceph-fuse, ubuntu, 12.2.0.


========================================================

More client details:
ubuntu@biomate1:~$ lsb_release -a
No LSB modules are available.
Distributor ID:    Ubuntu
Description:    Ubuntu 16.04.3 LTS
Release:    16.04
Codename:    xenial
ubuntu@biomate1:~$ uname -a
Linux biomate1 4.4.0-93-generic #116-Ubuntu SMP Fri Aug 11 21:17:51 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

ubuntu@biomate1$ ceph-fuse --version
ceph version 12.2.0 (32ce2a3ae5239ee33d6150705cdb24d43bab910c) luminous (rc)

The related tracer link is as below:

http://tracker.ceph.com/issues/17517


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Expected results:


Additional info:


The log path:

[collab-shell] https://gitlab.cee.redhat.com/gss-tools/collab-shell

    # ssh your_kerb@collab-shell.usersys.redhat.com
    # cd /cases/01976708

the following files have been downloaded and extracted:
--------------------------------
	1M	ceph_logs_20171120.tar.gz
--------------------------------

view attachments here: http://collab-shell.usersys.redhat.com/01976708/

Comment 4 Patrick Donnelly 2018-02-05 23:52:29 UTC
Resetting as we await info.


Note You need to log in before you can comment on or make changes to this bug.